#include "outstream.h"
#include <string>
using namespace std;

COutStream::COutStream(acCEdit *target)
{
	edit = target;
}

void COutStream::Write(const char *str)
{
	string s = str;

	int p = -1;
	while( (p = s.find("\r\n", p+1)) != string::npos )
		s.replace(p,2,"\n");

	p = 0;
	while( (p = s.find("\r", p)) != string::npos )
		s.replace(p,1,"");
	
	p = -2;
	while( (p = s.find("\n", p+2)) != string::npos )
		s.replace(p,1,"\r\n");

	edit->AppendText(s.c_str());
}