#include "pngdlg.h"
#include "resource.h"

CPngDlg::CPngDlg()
{
}

int CPngDlg::DoDialog(acCWindow *parent)
{
	return DoModal(MAKEINTRESOURCE(IDD_PNGOPTIONS), parent);
}

LRESULT CPngDlg::MsgProc(UINT msg, WPARAM wParam, LPARAM lParam)
{
	switch( msg )
	{
	case WM_INITDIALOG:
		CheckDlgButton(hWnd, IDC_SAVERGBONLY, BST_CHECKED);
		return TRUE;

	case WM_COMMAND:
		if( LOWORD(wParam) == IDOK )
		{
			TransferData();
			EndDialog(hWnd, 0);
		}
		return TRUE;

	case WM_CLOSE:
		TransferData();
		EndDialog(hWnd, 0);
		return TRUE;
	}

	return DefWndProc(msg, wParam, lParam);
}

void CPngDlg::TransferData()
{
	if( IsDlgButtonChecked(hWnd, IDC_SAVERGBONLY) )
		saveChannelsMode = 0;
	else if( IsDlgButtonChecked(hWnd, IDC_SAVERGBA) )
		saveChannelsMode = 1;
	else if( IsDlgButtonChecked(hWnd, IDC_SAVEALPHAONLY) )
		saveChannelsMode = 2;

	saveInterlaced = IsDlgButtonChecked(hWnd, IDC_SAVEINTERLACED) ? true : false;
}